Subject: Re: [RFC] ARM: omap3: Enable HWMODS for HW Random Number Generator

From: Tony Lindgren <[email-masked]>
Date: Tue, 22 Oct 2019 09:06:43 -0700

* Adam Ford <[email-masked]> [191022 12:13]:
> On Mon, Sep 9, 2019 at 11:35 AM Tony Lindgren <[email-masked]> wrote:
> >
> > * Pali Rohár <[email-masked]> [190909 13:41]:
> > > On Monday 09 September 2019 08:37:09 Adam Ford wrote:
> > > > I applied this on 5.3 and it is working.  I assume the same is true in for-next.
> >
> > Hmm I noticed I stopped getting RNG data after several rmmod modprobe
> > cycles, or several hd /dev/random reads. Anybody else seeing that?
> >
> > > > Do you want to submit a formal patch?  I  can mark it as 'tested-by'
> > > > This really helps speed up the startup sequence on boards with sshd
> > > > because it delays for nearly 80 seconds waiting for entropy without
> > > > the hwrng.
> > >
> > > Hi! When applying a patch, could you please disable this rng for n900?
> > >
> > > In omap3-n900.dts for rng should be status = "disabled" (as Tony already
> > > wrote), similarly like for aes.
> >
> > Yeah I'll post a proper patch after -rc1.
> 
> Tony,
> 
> I am just following up on this.  Without the HWRNG there are some
> tools and daemons like sshd which wait a long time at startup.  The
> patch you sent really helps speed up the startup time in these cases.
> At least in my case, it shaves 80 seconds off by eliminating the
> delays.
> 
> Do you think you'll have time to post a more formal patch?  If not, I
> can do it.  I just don't know which mailing list is the more
> appropriate.  I was able to verity your patch on a DM3730 and OMAP3530

Yeah sorry for the delays, I'll post it when I get a chance to
work on that again. I need to first deal with the other pending
patches for v5.5, and we've had quite a few fixes for v5.4.

Regards,

Tony

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel